{% extends 'base_admin.html' %}

{% load i18n %}
{% load static %}

{% block title %} {% trans "Location Staff" %} {% endblock title %}

{% block content %}
<!-- Begin Page Content -->
<div class="container-fluid">

  <!-- Page Heading -->
  <h1 class="h3 mb-2 text-gray-800"><a href="https://datatables.net">{% trans "Location" %}</a></h1>
  <p class="mb-4"><a target="_blank" href="{% url 'location_admin:location_create' %}">{% trans "Create Location" %}</a>.</p>

  <!-- DataTales Example -->
  <div class="card shadow mb-4">
    <div class="card-header py-3">
      <h6 class="m-0 font-weight-bold text-primary">{% trans "Location" %}</h6>
    </div>
    <div class="card-body">
      <div class="table-responsive">
        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
          <thead>
            <tr>
              <th>{% trans "Location Name" %}</th>
              <th>{% trans "Category" %}</th>
              <th>{% trans "Cost" %}</th>
              <th>{% trans "Time" %}</th>
              <th>{% trans "Image" %}</th>
              <th>{% trans "Update" %}</th>
              <th>{% trans "Delete" %}</th>
            </tr>
          </thead>
          <tfoot>
            <tr>
              <th>{% trans "Location Name" %}</th>
              <th>{% trans "Category" %}</th>
              <th>{% trans "Cost" %}</th>
              <th>{% trans "Time" %}</th>
              <th>{% trans "Image" %}</th>
              <th>{% trans "Update" %}</th>
              <th>{% trans "Delete" %}</th>
            </tr>
          </tfoot>
          <tbody>
            {% for item in locations %}
            <tr>
              <td><a href="{% url 'location_admin:location_detail' item.pk %}">{{ item.name }}</a></td>
              <td>{{ item.category_sub }}</td>
              <td>{{ item.cost }} {% trans "BTH" %}</td>
              <td>{{ item.time_open }} - {{ item.time_close }}</td>
              <td><a href="{% url 'location_admin:location_image' %}">{% trans "Add Image" %}</a></td>
              <td><a href="{% url 'location_admin:location_update' item.pk %}">{% trans "Update" %}</a></td>
              <td><a href="{% url 'location_admin:location_delete' item.pk %}">{% trans "Delete" %}</a></td>
            </tr>
            {% endfor %}
          </tbody>
        </table>
      </div>
    </div>
  </div>

</div>
<!-- /.container-fluid -->
{% endblock content %}

{% block custom_css %}
<!-- Custom styles for this page -->
<link href="{% static 'admin/vendor/datatables/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
{% endblock %}

{% block custom_js %}
<!-- Page level plugins -->
<script src="{% static 'admin/vendor/datatables/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'admin/vendor/datatables/dataTables.bootstrap4.min.js' %}"></script>
<!-- Page level custom scripts -->
<script src="{% static 'admin/js/demo/datatables-demo.js' %}"></script>
{% endblock %}